> ## Documentation Index
> Fetch the complete documentation index at: https://docs.girostack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Accounts

> This endpoint returns all accounts belonging to the user.

`GET {{baseurl}}/accounts`

<Tabs>
  <Tab title="Staging">
    ```
       https://gw.stg.girostack.com/v1
    ```
  </Tab>

  <Tab title="Production">
    ```
       https://gw.prod.girostack.com/v1
    ```
  </Tab>
</Tabs>

<Card title="Headers">
  <ParamField body="x-giro-key" type="string" required>
    Pass your account's secret key as the value.
  </ParamField>
</Card>

<Card title="Query Params">
  <ParamField query="name" type="string" />

  <ParamField query="isDefault" type="boolean" />

  <ParamField query="live" type="boolean" />
</Card>

<RequestExample>
  ```bash cURL theme={null}
  curl --location '{{API_BASE_URL}}/accounts' \
  --header 'x-giro-key: {{SECRET_KEY}}' \
  --header 'Content-Type: application/json'

  ```

  ```javascript Node.JS theme={null}
  const fetch = require("node-fetch");

  const url = "{{API_BASE_URL}}/accounts";
  const headers = {
    "x-giro-key": "{{SECRET_KEY}}",
    "Content-Type": "application/json",
  };

  fetch(url, {
    method: "GET",
    headers: headers,
  })
    .then((response) => response.json())
    .then((data) => console.log(data))
    .catch((error) => console.error("Error:", error));
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => '{{API_BASE_URL}}/accounts',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => array(
      'x-giro-key: {{SECRET_KEY}}',
      'Content-Type: application/json'
    )
  ));

  $response = curl_exec($curl);
  $httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

  if (curl_errno($curl)) {
    echo 'Error: ' . curl_error($curl);
  } else {
    echo "Response Code: $httpcode\n";
    echo $response;
  }

  curl_close($curl);
  ?>
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "meta": {
      "statusCode": 200,
      "success": true,
      "pagination": {
        "totalCount": 1,
        "perPage": 10,
        "current": 1
      }
    },
    "data": [
      {
        "_id": "650078a7325376468ec517dd",
        "publicId": "5b4ad876-fe77-48e2-bf01-6db8049b41a4",
        "name": "Giro app",
        "webhooks": ["https://dummy-webhook.example.com/hook/abcdefgh123456789"],
        "isDefault": true,
        "pubKey": {
          "live": "live_pub_d66b499bad368792240fdc9c-7548-486e-802d-3db3cee22759",
          "test": "test_pub_66fb675d0f3b3b496498f354-33e8-499e-9a68-9801944bc9a0"
        },
        "createdAt": "2023-09-12T14:41:43.008Z",
        "updatedAt": "2023-09-12T14:41:55.056Z",
        "__v": 1,
        "business": "650078a741270245efa6781c",
        "id": "650078a7325376468ec517dd"
      }
    ]
  }
  ```
</ResponseExample>
